.onLoad <- function(libname, pkgname) {
    # options(depwarn = TRUE, gdkFlush = TRUE)
    success = .C("R_startGtk", 1L, x="R", success = logical(1))$success
    if (!success)
        stop("GTK initialisation failed")
    invisible(NULL)
}


setGeneric("dataplot", function(x, y, ...) standardGeneric("dataplot"))

setMethod("dataplot", signature(x="numeric", y="numeric"),
    function(x, y, z=NULL, ...) {
        if (length(x)<1 || length(x)!=length(y))
            stop("x and y must be numeric vectors of equal, non-zero, size")
        if (!is.null(z)) {
            if (length(x) != length(z))
                stop("z must have the same length as x and y")
            storage.mode(z) = "numeric"
        }
        invisible(.Call("R_dataplot", x, y, z))
    }
)


